cryptonite-conduit-0.2.2: cryptonite conduit

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | None
Language | Haskell98

Crypto.MAC.HMAC.Conduit

Contents

- Cryptographic hash functions

Description

A module containing Conduit facilities for hmac based functions.

Synopsis

- sinkHMAC :: forall (m :: Type -> Type) key hash o. (Monad m, ByteArrayAccess key, HashAlgorithm hash) => key -> ConduitM ByteString o m (HMAC hash)

# Cryptographic hash functions

sinkHMAC :: forall (m :: Type -> Type) key hash o. (Monad m, ByteArrayAccess key, HashAlgorithm hash) => key -> ConduitM ByteString o m (HMAC hash) Source #

A `Sink` that calculates HMAC of a stream of `ByteString` `s` and returns digest `d`.